Index: LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3605)
@@ -34,4 +34,5 @@
         real w_mod(llm), t_mod(llm),q_mod(llm)
         real u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
+	real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)
         real hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
         real th_mod(llm)
@@ -95,35 +96,37 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas GABLS4   (MPL 20141023)
-        character*80 :: fich_gabls4
-        integer nlev_gabls4, nt_gabls4, nsol_gabls4
-        parameter (nlev_gabls4=90, nt_gabls4=37, nsol_gabls4=19)  
-        integer year_ini_gabls4, day_ini_gabls4, mth_ini_gabls4
-        real heure_ini_gabls4
-        real day_ju_ini_gabls4   ! Julian day of gabls4 first day
-        parameter (year_ini_gabls4=2009) 
-        parameter (mth_ini_gabls4=12)
-        parameter (day_ini_gabls4=11)  ! 11 = 11 decembre 2009
-        parameter (heure_ini_gabls4=0.) !0UTC en secondes
-        real dt_gabls4
-        parameter (dt_gabls4=3600.) ! 1 forcage ttes les heures
-
+!FHADETRUIRE
+!       character*80 :: fich_gabls4
+!       integer nlev_gabls4, nt_gabls4, nsol_gabls4
+!       parameter (nlev_gabls4=90, nt_gabls4=37, nsol_gabls4=19)  
+!       integer year_ini_gabls4, day_ini_gabls4, mth_ini_gabls4
+!       real heure_ini_gabls4
+!       real day_ju_ini_gabls4   ! Julian day of gabls4 first day
+!       parameter (year_ini_gabls4=2009) 
+!       parameter (mth_ini_gabls4=12)
+!       parameter (day_ini_gabls4=11)  ! 11 = 11 decembre 2009
+!       parameter (heure_ini_gabls4=0.) !0UTC en secondes
+!       real dt_gabls4
+!       parameter (dt_gabls4=3600.) ! 1 forcage ttes les heures
+!
 !profils initiaux:
-        real plev_gabls4(nlev_gabls4)
-        real zz_gabls4(nlev_gabls4)
-        real th_gabls4(nlev_gabls4),t_gabls4(nlev_gabls4),qv_gabls4(nlev_gabls4)
-        real u_gabls4(nlev_gabls4), v_gabls4(nlev_gabls4)
-        real depth_sn_gabls4(nsol_gabls4),tsnow_gabls4(nsol_gabls4),snow_dens_gabls4(nsol_gabls4)
-        real t_gabi(nlev_gabls4),qv_gabi(nlev_gabls4)
-        real u_gabi(nlev_gabls4), v_gabi(nlev_gabls4),ug_gabi(nlev_gabls4), vg_gabi(nlev_gabls4)
-        real ht_gabi(nlev_gabls4),hq_gabi(nlev_gabls4),poub(nlev_gabls4)
-        
+!       real plev_gabls4(nlev_gabls4)
+!       real zz_gabls4(nlev_gabls4)
+!       real th_gabls4(nlev_gabls4),t_gabls4(nlev_gabls4),qv_gabls4(nlev_gabls4)
+!       real u_gabls4(nlev_gabls4), v_gabls4(nlev_gabls4)
+!       real depth_sn_gabls4(nsol_gabls4),tsnow_gabls4(nsol_gabls4),snow_dens_gabls4(nsol_gabls4)
+!       real t_gabi(nlev_gabls4),qv_gabi(nlev_gabls4)
+!       real u_gabi(nlev_gabls4), v_gabi(nlev_gabls4),ug_gabi(nlev_gabls4), vg_gabi(nlev_gabls4)
+!       real ht_gabi(nlev_gabls4),hq_gabi(nlev_gabls4),poub(nlev_gabls4)
+!       
 !forcings
-        real ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
-        real ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
-        real tg_gabls4(nt_gabls4)
-        real ht_profg(nlev_gabls4),hq_profg(nlev_gabls4)
-        real ug_profg(nlev_gabls4),vg_profg(nlev_gabls4)
-        real tg_profg
-         
+! Lignes a detruire ...
+!       real ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
+!       real ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
+!       real tg_gabls4(nt_gabls4)
+!       real ht_profg(nlev_gabls4),hq_profg(nlev_gabls4)
+!       real ug_profg(nlev_gabls4),vg_profg(nlev_gabls4)
+!       real tg_profg
+!        
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -281,4 +284,5 @@
         real qv_mod_cas(llm),ql_mod_cas(llm),qi_mod_cas(llm)
         real ug_mod_cas(llm),vg_mod_cas(llm)
+        real temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm),v_nudg_mod_cas(llm),u_nudg_mod_cas(llm)
         real u_mod_cas(llm),v_mod_cas(llm)
         real omega_mod_cas(llm)
